general.import = [ "~/.config/omarchy/current/theme/alacritty.toml" ]

[env]
TERM = "xterm-256color"

[font]
normal = { family = "JetBrainsMonoNL Nerd Font Mono" }
bold = { family = "JetBrainsMonoNL Nerd Font Mono" }
italic = { family = "JetBrainsMonoNL Nerd Font Mono" }
size = 13

[window]
padding.x = 14
padding.y = 14
decorations = "None"

[keyboard]
bindings = [
{ key = "Insert", mods = "Shift", action = "Paste" },
{ key = "Insert", mods = "Control", action = "Copy" },
  { key = "Return", mods = "Shift", chars = "\u001B\r" }
]

[terminal]
osc52 = "CopyPaste"

[cursor]
# Set to false to disable completely
smooth_motion = true
# 0.0 = cursor is not moving, 1.0 = cursor moves instantly
smooth_motion_factor = 0.5
# 0.0 = broken, 1.0 = cursor shape is unaffected by movement
smooth_motion_spring = 0.5
# Limits how the cursor size may change
smooth_motion_max_stretch_x = 10.0
smooth_motion_max_stretch_y = 5.0
# Override "block" cursor if you don't like how it looks in this fork
#block_replace_shape = "underline"
